## GLib event loop GLib event loop — Event loop API for GLib main context and loop. |

## Functions

GCutEventLoop * | gcut_glib_event_loop_new ()

## Properties

gpointer | context | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GCutEventLoop
            ╰── GCutGLibEventLoop

## Description

GCutGLibEventLoop is an GCutEventLoop implementation for GLib's main context and loop.

## Functions

### gcut_glib_event_loop_new ()

    GCutEventLoop *
    gcut_glib_event_loop_new (GMainContext *context);

Creates a new GCutEeventLoop for `context` . If `context` is `NULL`, the default GLib's main context is used.

#### Parameters

context | a GMainContext or `NULL` |

#### Returns

a new GCutEventLoop.

Since: 1.1.6

## Types and Values

## Property Details

### The `“context”` property

      “context”                  gpointer

Use the GMainContext for the event loop.

Flags: Read / Write / Construct Only